Page MenuHomePhabricator

Activate WikidataPageBanner extension on French Wikivoyage's help and wikivoyage namespace
Closed, ResolvedPublic

Description

The WikidataPageBanner Extension (https://www.mediawiki.org/wiki/Extension:WikidataPageBanner) was activated on french Wikivoyage but is still not working on Wikivoyage and Help pages.

Demand: Activate WikidataPageBanner Extension on Wikivoyage and Help namespace

Talk: https://fr.wikivoyage.org/w/index.php?title=Wikivoyage:Caf%C3%A9_des_Voyageurs&oldid=303479#WikidataPageBanner_sur_les_diff.C3.A9rents_espaces_de_nom

Previous request: T115023

Event Timeline

Adehertogh raised the priority of this task from to Medium.
Adehertogh updated the task description. (Show Details)
Adehertogh added a subscriber: Adehertogh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2016, 6:32 PM
Aklapper renamed this task from Activate Page Banner extension on help and wikivoyage namespace to Activate WikidataPageBanner extension on French Wikivoyage's help and wikivoyage namespace.Jan 9 2016, 1:12 AM
Aklapper set Security to None.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJan 9 2016, 1:12 AM
Dereckson updated the task description. (Show Details)

Note about the local consensus

No objection in 20 days of village pump notification should be enough.

But as there are several active users on the project, in the future, please try to engage more other contributors in such discussions. For example, some small projets organize small votes directly on the village pump.

Dereckson updated the task description. (Show Details)Jan 26 2016, 6:07 PM

Change 266541 had a related patch set uploaded (by Dereckson):
Set WikidataPageBanner namespaces on fr.wikivoyage

https://gerrit.wikimedia.org/r/266541

@Dereckson, the former template Page banner worked on all namespaces so it seemed evident to all that was "just a bug" and users asked why it doesn't work. So the message in the pub was formal to inform that a request was written here. Anyway, thank you for your help.

Change 266541 merged by jenkins-bot:
Set WikidataPageBanner namespaces on fr.wikivoyage

https://gerrit.wikimedia.org/r/266541

Dereckson added a comment.EditedFeb 1 2016, 5:16 PM

@Jdlrobson could you check this works?

The setting is propagated, as shown at P2550, but the extension doesn't seem to work through Wikidata:

The use of parser function — {{PAGEBANNER:Grand_canyon.jpg}} — works.

looks like it works fine:
https://fr.wikivoyage.org/w/index.php?title=Wikivoyage%3AModification_de_la_page_d%27accueil&type=revision&diff=305467&oldid=305424

Note you have to explicitly add the banner (without arguments) to use Wikidata banner or set WPBEnableDefaultBanner to true to turn banners on without the magic word.

Dereckson closed this task as Resolved.Feb 1 2016, 6:34 PM

Note you have to explicitly add the banner (without arguments) to use Wikidata banner or set WPBEnableDefaultBanner to true to turn banners on without the magic word.

Thanks for the precision.